import argparse

import dash_core_components as dcc
import dash_html_components as html
from dash.dependencies import Input, Output

from app import app
from pages.cost_trend.layout import TrendLayout

trend_page = TrendLayout()

# app = dash.Dash(__name__, suppress_callback_exceptions=True)

app.layout = html.Div([
    dcc.Location(id='url', refresh=False),
    html.Div(id='page-content')
])

server = app.server

trend_page.init_callback()


@app.callback(Output('page-content', 'children'),
              [Input('url', 'pathname')])
def display_page(pathname):
    if pathname == '/':
        return trend_page.layout()
    else:
        return '404'


if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='Vehicle Estimator.')
    parser.add_argument('--port', type=int, dest='port', help='Port for running service in debug mode on localhost.',
                        default=8050)
    args = parser.parse_args()

    app.run_server(debug=True, port=args.port)
